#include <iostream> 
#include <string> 
#include <vector> 
#include <algorithm> 
using namespace std; 


int Compare1(string x, string y){ 
    
	string xy=x.append(y); 
    string yx=y.append(x); 
    
	return xy.compare(yx)>0 ? 1:0; 
} 
void Print(vector<string> arr){ 
    sort(arr.begin(),arr.end(),Compare1); 
  
    for(int i=0;i<arr.size();i++) 
        cout<<arr[i]; 
} 
int main(){ 
    int a,b,c;
	vector<string> x;  
    cin>>a>>b>>c;
    
    x.push_back(to_string(a));
	x.push_back(to_string(b));
	x.push_back(to_string(c));
    
	Print(x); 
	
	
  
   return 0; 
}